OpenCSD Library : Trace Decode Tree.

Create a multi source decode tree for a single trace capture buffer. More...

## Classes

class | DecodeTree
| Class to manage the decoding of data from a single trace sink . More...
struct | _decoder_elements
| Decode tree element base structure. More...
class | DecodeTreeElement
| Decode tree element. More...

## Typedefs

typedef struct _decoder_elements | decoder_element

## Functions

| DecodeTreeElement::DecodeTreeElement ()
void | DecodeTreeElement::SetDecoderElement (const std::string &name, IDecoderMngr *dcdMngr, TraceComponent *pHandle, bool bCreated)
void | DecodeTreeElement::DestroyElem ()

## Detailed Description

Create a multi source decode tree for a single trace capture buffer.

Use to create a connected set of decoder objects to decode a trace buffer. There may be multiple trace sources within the capture buffer.

## Typedef Documentation

## decoder_element

typedef struct _decoder_elements decoder_element

## Function Documentation

## DecodeTreeElement()

DecodeTreeElement::DecodeTreeElement | ( |  | ) |

inline

Definition at line 83 of file ocsd_dcd_tree_elem.h.

## DestroyElem()

void DecodeTreeElement::DestroyElem | ( |  | ) |

inline

Definition at line 103 of file ocsd_dcd_tree_elem.h.

Here is the call graph for this function:

## SetDecoderElement()

void DecodeTreeElement::SetDecoderElement | ( | const std::string & | name,
|  | IDecoderMngr * | dcdMngr,
|  | TraceComponent * | pHandle,
|  | bool | bCreated
| ) |  |

inline

Definition at line 92 of file ocsd_dcd_tree_elem.h.

Here is the call graph for this function: